# Class Event

java.lang.Object
org.snpeff.reactome.Entity
org.snpeff.reactome.events.Event

All Implemented Interfaces:
  `Comparable<Entity>`

Direct Known Subclasses:
  `Reaction`

public class Event extends Entity
A reactome event (any generic event, from pathways to polymerizations)

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class Entity

`Entity.TransferFunction`

## Field Summary

### Fields inherited from class Entity

`BETA, compartment, debug, fixedOutput, geneIds, id, name, output, TRANSFER_FUNCTION, weight`

## Constructor Summary

Constructors
Constructor
Description
`Event(int id, String name)`

## Method Summary

### Methods inherited from class Entity

`addGeneId, calc, calc, compareTo, getCompartment, getGeneIds, getId, getName, getOutput, getWeight, hasOutput, isFixed, isReaction, reset, setCompartment, setFixedOutput, setWeight, toString, toString, toStringSimple, transferFunction`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Event

public Event(int id, String name)